LinuxQuestions.org
Register a domain and help support LQ
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware
User Name
Password
Slackware This Forum is for the discussion of Slackware Linux.

Notices

Reply
 
Search this Thread
Old 05-18-2011, 03:08 PM   #1
ahmadj
Member
 
Registered: Jun 2010
Distribution: Slackware64_13.37 \ Slackware_13.1 \ ARMedslack_13.37
Posts: 80

Rep: Reputation: 16
XINE in 64-13.37 - No VDPAU driver?


As the title says, I don't see a 'VDPAU' option for video driver, in XINE config?

I have installed Nvidia proprietary drivers (260.something) and XINE user level is set to 'Master of the known universe'...
 
Old 05-18-2011, 03:27 PM   #2
ponce
Senior Member
 
Registered: Aug 2004
Location: Pisa, Italy
Distribution: Slackware
Posts: 2,484

Rep: Reputation: 906Reputation: 906Reputation: 906Reputation: 906Reputation: 906Reputation: 906Reputation: 906Reputation: 906
vdpau is unsupported by the stable xine.
but you can try building the 1.2 branch (you need also libvdpau).

Last edited by ponce; 05-18-2011 at 03:29 PM.
 
1 members found this post helpful.
Old 05-18-2011, 04:09 PM   #3
ponce
Senior Member
 
Registered: Aug 2004
Location: Pisa, Italy
Distribution: Slackware
Posts: 2,484

Rep: Reputation: 906Reputation: 906Reputation: 906Reputation: 906Reputation: 906Reputation: 906Reputation: 906Reputation: 906
tried now for fun and it works pretty fine!

applied this diff to xine-lib.SlackBuild (the tarball I used in tar.xz format -done getting sources from mercurial- is here)
Code:
--- xine-lib.SlackBuild.orig    2010-11-06 22:02:33.000000000 +0100
+++ xine-lib.SlackBuild 2011-05-18 22:03:13.000000000 +0200
@@ -22,11 +22,11 @@
 
 
 # Version on the tarball
-VERSION=1.1.19
+VERSION=20110517_e19e8b0
 # Version used in the source directory to cd into
-DIRVER=1.1.19
+DIRVER=20110517_e19e8b0
 # Version used for the Slackware package
-PKGVER=1.1.19
+PKGVER=20110517_e19e8b0
 
 # Automatically determine the architecture we're building on:
 if [ -z "$ARCH" ]; then
@@ -72,7 +72,7 @@
   -exec chmod 644 {} \;
 
 XINE_BUILD=$TARGET \
-./configure \
+sh autogen.sh \
   --prefix=/usr \
   --libdir=/usr/lib${LIBDIRSUFFIX} \
   --docdir=/usr/doc/xine-lib-$VERSION \
@@ -80,6 +80,8 @@
   --with-w32-path=/usr/lib${LIBDIRSUFFIX}/codecs \
   --with-arts \
   --disable-nosefart \
+  --disable-vcd \
+  --disable-musepack \
   --without-speex
 
 make $NUMJOBS || make || exit 1
(needed also the last two configure options here)

and this other to xine-ui (the tarball I used in tar.xz format is here)
Code:
--- xine-ui.SlackBuild.orig     2010-02-25 21:12:30.000000000 +0100
+++ xine-ui.SlackBuild  2011-05-18 22:09:10.000000000 +0200
@@ -24,7 +24,7 @@
 VERSION=${VERSION:-$(echo xine-ui-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
 # I would use "-march=i486 -mcpu=i686" here as usual, but with XINE it's all or nothing.
 # I'd rather have it work well for the i686/Athlon crowd than suck for everyone.
-BUILD=${BUILD:-3}
+BUILD=${BUILD:-1}
 
 # Automatically determine the architecture we're building on:
 if [ -z "$ARCH" ]; then
@@ -47,11 +47,9 @@
 
 cd $TMP
 rm -rf xine-ui-$VERSION
-tar xvf $CWD/xine-ui-$VERSION.tar.bz2 || exit 1
+tar xvf $CWD/xine-ui-$VERSION.tar.?z* || exit 1
 cd xine-ui-$VERSION || exit 1
 
-zcat $CWD/xine-ui.png14.diff.gz | patch -p1 --verbose || exit 1
-
 chown -R root:root .
 find . \
   \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
@@ -60,10 +58,11 @@
   -exec chmod 644 {} \;
 
 XINE_BUILD=$TARGET \
-./configure \
+sh autogen.sh \
   --prefix=/usr \
   --with-aalib \
   --with-caca \
+  --mandir=/usr/man \
   --build=$TARGET
 
 make $NUMJOBS || make || exit 1
Quote:
Originally Posted by ahmadj View Post
user level is set to 'Master of the known universe'...
http://www.youtube.com/watch?v=f0fSd4-8Tys

Last edited by ponce; 05-18-2011 at 04:16 PM. Reason: added he-man
 
1 members found this post helpful.
Old 05-19-2011, 06:55 AM   #4
ahmadj
Member
 
Registered: Jun 2010
Distribution: Slackware64_13.37 \ Slackware_13.1 \ ARMedslack_13.37
Posts: 80

Original Poster
Rep: Reputation: 16
Thumbs up

Ponce to the rescue again! Thanks.

Not much of a Family Guy fan myself.. more Futurama
 
Old 05-29-2011, 02:34 PM   #5
ahmadj
Member
 
Registered: Jun 2010
Distribution: Slackware64_13.37 \ Slackware_13.1 \ ARMedslack_13.37
Posts: 80

Original Poster
Rep: Reputation: 16
I can't seem to get your diffs working.. any way you could paste the full slackbuilds? Sorry to be a pain.

Thanks
 
Old 05-29-2011, 04:33 PM   #6
ponce
Senior Member
 
Registered: Aug 2004
Location: Pisa, Italy
Distribution: Slackware
Posts: 2,484

Rep: Reputation: 906Reputation: 906Reputation: 906Reputation: 906Reputation: 906Reputation: 906Reputation: 906Reputation: 906
no prob, they're here.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
VDPAU and Mythbuntu - And I thought it would be so easy... xmrkite Linux - Software 10 10-05-2010 11:21 AM
nVidia's VDPAU VS ATI's ..... ? wanas Linux - Software 1 02-02-2010 06:18 AM
SMPlayer & VDPAU londy Linux - Software 0 06-27-2009 09:49 PM
LXer: NVIDIA VDPAU Benchmarks LXer Syndicated Linux News 0 11-15-2008 12:00 PM
xine using xv driver with i810 (Intel driver) jbum Slackware 1 04-30-2008 05:15 AM


All times are GMT -5. The time now is 02:23 AM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration